import type { JestConfigWithTsJest } from "ts-jest"

const config: JestConfigWithTsJest = {
  verbose: true,
  transform: {
    "^.+\\.ts?$": [
      "ts-jest",
      {
        useESM: true,
      },
    ],
  },
  extensionsToTreatAsEsm: [".ts"],
  moduleNameMapper: {
    "^(\\.{1,2}/.*)\\.js$": "$1",
    // Resolve @/ module paths
    "@/(.*)": "<rootDir>/src/$1",
  },
  setupFiles: ["<rootDir>/config.ts"],
}

export default config
