import type {
  Bank,
  BookingStatus,
  TransactionResponse,
} from "@/bank/sparebank1.ts"
import dayjs from "dayjs"

export class BankStub implements Bank {
  async transactionsPastDay(
    _accountIds: ReadonlyArray<string> | string,
  ): Promise<TransactionResponse> {
    const someFields = {
      date: dayjs("2019-08-20").unix(),
      cleanedDescription: "Test transaction",
      remoteAccountName: "Test account",
      bookingStatus: "BOOKED" as BookingStatus,
    }
    return {
      transactions: [
        {
          id: "1",
          nonUniqueId: "1",
          amount: 100,
          ...someFields,
        },
        {
          id: "2",
          nonUniqueId: "2",
          amount: 200,
          ...someFields,
        },
        {
          id: "3",
          nonUniqueId: "3",
          amount: -50,
          ...someFields,
        },
      ],
    }
  }
}
